[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.GlyphChanged

Performs actions needed when the value in Glyph has been changed.

## Declaration

Source position: buttons.pp line 197

`protected procedure TCustomBitBtn.GlyphChanged(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | TObject instance for the change notification.

## Description

Ensures that the widget set class is notified of a change in the value for the Glyph property. Calls InvalidatePreferredSize and AdjustSize to resize the control for the new Glyph image.

Assigned to the OnChange event handler in the TButtonGlyph instance for the control, and called directly from the ImageListChange method.

## See also

TCustomBitBtn.Glyph |  | Bitmap with the Glyph displayed on the control.
TButtonGlyph.OnChange |  | Event handler signalled when the bitmap in Glyph has been changed.